--- ../linux/arch/arm/config.in	2003-08-04 12:22:28.000000000 +0900
+++ linux/arch/arm/config.in	2004-07-12 23:06:34.000000000 +0900
@@ -196,6 +196,7 @@
 dep_bool '    Using Trial 0'  CONFIG_POODLE_TR0 $CONFIG_ARCH_PXA_POODLE
 dep_bool '  SHARP Corgi' CONFIG_ARCH_PXA_CORGI $CONFIG_ARCH_PXA
 dep_bool '    Using Trial 0'  CONFIG_CORGI_TR0 $CONFIG_ARCH_PXA_CORGI
+dep_bool '    LCD Bufferable (EXPERIMENTAL)'  CONFIG_CORGI_LCD_BUFF $CONFIG_ARCH_PXA_CORGI
 dep_bool '    SHARP Shepherd'  CONFIG_ARCH_PXA_SHEPHERD $CONFIG_ARCH_PXA_CORGI
 dep_bool '      SHARP Husky'  CONFIG_ARCH_PXA_HUSKY $CONFIG_ARCH_PXA_SHEPHERD
 dep_bool '  SHARP Tosa'  CONFIG_ARCH_PXA_TOSA
@@ -209,6 +210,21 @@
 
 if [ "$CONFIG_ARCH_PXA_POODLE" = "y" -o "$CONFIG_ARCH_PXA_CORGI" = "y" -o \
      "$CONFIG_ARCH_PXA_TOSA" = "y" ]; then
+	bool 'Use clock change(cccr_change) enable (EXPERIMENTAL)' CONFIG_SL_CCCR_CHANGE
+	if [ "$CONFIG_SL_CCCR162" != "y" -a "$CONFIG_SL_CCCR163" != "y" -a "$CONFIG_SL_CCCR_CHANGE" = "y" ]; then
+		bool 'Boot CCCR=0x242 (EXPERIMENTAL)' CONFIG_SL_CCCR242
+	fi
+	if [ "$CONFIG_SL_CCCR242" != "y" -a "$CONFIG_SL_CCCR163" != "y" -a "$CONFIG_SL_CCCR_CHANGE" = "y" ]; then
+		bool 'Boot CCCR=0x162 (DANGEROUS ESPECIALLY FOR SL-C700)' CONFIG_SL_CCCR162
+	fi
+	if [ "$CONFIG_SL_CCCR242" != "y" -a "$CONFIG_SL_CCCR162" != "y" -a "$CONFIG_SL_CCCR_CHANGE" = "y" ]; then
+		bool 'Boot CCCR=0x162 (VERY DANGEROUS)' CONFIG_SL_CCCR163
+	fi
+fi
+
+
+
+if [ "$CONFIG_ARCH_PXA_POODLE" = "y" -o "$CONFIG_ARCH_PXA_CORGI" = "y" ]; then
    comment 'Language type'
    choice 'Language type' \
 	"English	CONFIG_ARCH_SHARP_SL_E    \
@@ -475,7 +491,10 @@
 else
    define_bool CONFIG_DISCONTIGMEM n
 fi
-
+dep_bool 'Preemptible Kernel' CONFIG_PREEMPT $CONFIG_CPU_32
+if [ "$CONFIG_PREEMPT" = "y" ]; then
+   bool 'Break selected locks' CONFIG_LOCK_BREAK
+fi
 endmenu
 
 mainmenu_option next_comment
